summaryrefslogtreecommitdiff
path: root/packages/freesmartphone/python-ousaged
diff options
context:
space:
mode:
authorJan Lübbe <jluebbe@debian.org>2008-05-17 11:05:45 +0000
committerJan Lübbe <jluebbe@debian.org>2008-05-17 11:05:45 +0000
commitd7da261f228a694699f9ef66a1d5a200a335a141 (patch)
treedb1a2b6caf641a4ba3cab14b770d0cf92630f7d6 /packages/freesmartphone/python-ousaged
parentfa719019d592dd4724f1bea024131e7524d9d44e (diff)
freesmartphone: add a fso-image and fix bb-files
Diffstat (limited to 'packages/freesmartphone/python-ousaged')
-rw-r--r--packages/freesmartphone/python-ousaged/.mtn2git_empty0
-rw-r--r--packages/freesmartphone/python-ousaged/ousaged40
2 files changed, 40 insertions, 0 deletions
diff --git a/packages/freesmartphone/python-ousaged/.mtn2git_empty b/packages/freesmartphone/python-ousaged/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/freesmartphone/python-ousaged/.mtn2git_empty
diff --git a/packages/freesmartphone/python-ousaged/ousaged b/packages/freesmartphone/python-ousaged/ousaged
new file mode 100644
index 0000000000..7b62d7f93c
--- /dev/null
+++ b/packages/freesmartphone/python-ousaged/ousaged
@@ -0,0 +1,40 @@
+#! /bin/sh
+#
+# odeviced This shell script starts and stops the open device daemon.
+#
+# chkconfig: 345 90 20
+# description: py-ousaged is the open usage daemon
+# processname: python
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+NAME=odeviced
+
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+case "$1" in
+ start)
+ echo -n "Starting open usage daemon: "
+ start-stop-daemon --start --pidfile /var/run/${NAME}.pid --make-pidfile --background -x /usr/bin/ousaged
+ if [ $? = 0 ]; then
+ echo "(ok)"
+ else
+ echo "(failed)"
+ fi
+ ;;
+ stop)
+ echo -n "Stopping open usage daemon: "
+ start-stop-daemon --stop --pidfile /var/run/${NAME}.pid --oknodo
+ rm -f /var/run/${NAME}.pid
+ echo "(done)"
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: /etc/init.d/ousaged {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0